Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.webcomp.client
Class WebCompRunner

    java.lang.Object
      com.tibco.webcomp.client.WebCompRunner

    public class WebCompRunner

extends java.lang.Object

Main class that provides API access to TIBCO Web Components.

©2014 TIBCO Software Inc.

Since:
  3.0.0

Constructor Summary
`WebCompRunner()`

Method Summary
`static boolean` | `isLoadComponentReady()`
`static void` | `loadComponent(WebCompType componentType, java.lang.String parentId, WebCompLoadParams webCompLoadParams, WebCompLoadCallbackHandler handler)` Loads the Web Component specified by componentName into the DOM container specified by parentId.
`static void` | `setLoadReadyCallbackHandler(LoadReadyCallbackHandler handler)` Sets the handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebCompRunner

    public WebCompRunner()

Method Detail

### isLoadComponentReady

    public static boolean isLoadComponentReady()

  Returns:
    true if the application is initialized is ready to process calls to `loadComponent(WebCompType, String, WebCompLoadParams, WebCompLoadCallbackHandler)`
  See Also:
    `setLoadReadyCallbackHandler(LoadReadyCallbackHandler)`

### setLoadReadyCallbackHandler

    public static void setLoadReadyCallbackHandler(LoadReadyCallbackHandler handler)

  Sets the handler.

  Parameters:
    `handler` -
  See Also:
    `isLoadComponentReady()`

### loadComponent

    public static void loadComponent(WebCompType componentType,
                                     java.lang.String parentId,
                                     WebCompLoadParams webCompLoadParams,
                                     WebCompLoadCallbackHandler handler)

  Loads the Web Component specified by componentName into the DOM container specified by parentId. The webCompLoadParams may contain any params needed to specify how the component loads. The handler is called when the component is loaded.

  Parameters:
    `componentType` - the type of WebComp to load
    `parentId` - the id of the parent DOM container to load the component into
    `webCompLoadParams` - used to set any params controlling how the component loads
    `handler` - callback handler
  Throws:
    `WebCompRuntimeException` - if isLoadComponentReady != true when called
  See Also:
    `isLoadComponentReady()`, `setLoadReadyCallbackHandler(LoadReadyCallbackHandler)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.